Bug Hunting Session
Bug 48070 - [SVG] elliptical arc path is not parsed properly
Summary: [SVG] elliptical arc path is not parsed properly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Christina Rossmanith
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-29 16:38 UTC by Valek Filippov
Modified: 2013-10-15 08:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "paths-data-20-f" (4.14 KB, image/svg+xml)
2012-03-29 16:38 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-29 16:38:25 UTC
Created attachment 59247 [details]
W3C SVG test suite "paths-data-20-f"

There should be no red visible in the attached file.
Comment 1 Not Assigned 2012-05-11 12:47:04 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=508fcf698ec7cd97af1eb8936ab30b257143bc1b

fdo#48070 fix parsing of arc paths
Comment 2 Not Assigned 2012-05-14 05:35:35 UTC
Petr Mladek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6007cf40be9a1dd9913c6c7e539f14377add77e

fdo#48070 more on parsing of arc paths
Comment 3 Not Assigned 2012-05-14 05:41:29 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36c401f402a30f386dba82f121961a187ab8f7af&g=libreoffice-3-5

fdo#48070 fix parsing of arc paths


It will be available in LibreOffice 3.5.4.
Comment 4 sasha.libreoffice 2012-06-27 01:22:14 UTC
Thanks for fixing this bug
in 3.5.4: File->Open fixed
Insert->Picture - bug still exist
Comment 5 Thomas Arnhold 2013-10-14 23:40:44 UTC
NOT reproducible anymore with:

Version: 4.1.2.3
Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38
Comment 6 sasha.libreoffice 2013-10-15 08:37:16 UTC
Thanks for additional testing

In 4.1.2.3 on both Fedora and Win8 looks as on this site:
http://www.w3.org/Graphics/SVG/Test/20110816/harness/htmlObjectMini/paths-data-20-f.html

Thanks for fixing this bug